Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:	QChat is a crossplatform LAN chat.
Name:		qchat
Version: 	0.2.2
Release: 	1
License:	GNU/GPL
URL:		http://sourceforge.net/projects/q-chat/
Group: 		Networking/Instant Messaging	
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	qchat_de.qm
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libICE-devel
BuildRequires:  qt4-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  glibc-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

%description 
QChat is a crossplatform LAN chat.
QChat features: 
 -sending messages :) 
 -creating channels except of 'Main' 
 -privat chat 
 -privat single messages 
 -transferring file 
 -user information and user profiles
 -smiles support(kopete's format supported) 
 -smiles on receiver's side looking same as on sender's side even if different smile themes used 
 -receiving messages history when connect to new channel from users already chatting in this channel


%prep
%setup -q -n %{name}-%{version}

%build
# we need to put qt4 in front of $PATH as we
# don't want to pull in old qt3 tools
export PATH=/opt/qt4/bin:$PATH
qmake
make

%install
rm -rf $RPM_BUILD_ROOT
#make install RPMDESTDIR=$RPM_BUILD_ROOT 

install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,share/applications}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/
install -d -m 755 $RPM_BUILD_ROOT/usr/share/icons/hicolor/{16x16,32x32,48x48}
convert -resize 16x16 images/trayIcon.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/%{name}.png
convert -resize 32x32 images/trayIcon.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/%{name}.png
convert -resize 48x48 images/trayIcon.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/%{name}.png
install -d -m 755 $RPM_BUILD_ROOT/usr/share/qchat/{emoticons/Adiumicons,translations,stylesheets}
install -m 755 bin/qchat $RPM_BUILD_ROOT/usr/bin/
install -m 755 emoticons/Adiumicons/* $RPM_BUILD_ROOT/usr/share/qchat/emoticons/Adiumicons
install -m 755 translations/*.qm $RPM_BUILD_ROOT/usr/share/qchat/translations/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/qchat/translations/
install -m 755 stylesheets/* $RPM_BUILD_ROOT/usr/share/qchat/stylesheets

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_bindir
%_datadir

%changelog
* Sun Nov 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- Initial Release
